Skip to main content
GET
/
transactions
/
credits
/
v1
Retrieve credit transactions
curl --request GET \
  --url https://api.spacebring.com/transactions/credits/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "transactions": [
    {
      "amount": 123,
      "booking": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "resource": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>"
        }
      },
      "company": {
        "billingAddress": "<string>",
        "businessAddress": {
          "city": "<string>",
          "countryCode": "<string>",
          "line1": "<string>",
          "line2": "<string>",
          "postalCode": "<string>",
          "state": "<string>"
        },
        "createDate": "2023-11-07T05:31:56Z",
        "credits": {
          "expiring": 123,
          "permanent": 123
        },
        "dayPasses": {
          "expiring": 123
        },
        "deleteDate": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "legalName": "<string>",
        "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "metadata": {},
        "notes": "<string>",
        "subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "taxId": "<string>",
        "title": "<string>"
      },
      "companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createDate": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "expiringAmount": 123,
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "membershipRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "option": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "product": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>"
        }
      },
      "permanentAmount": 123,
      "refund": {
        "amount": 123,
        "createDate": "2023-11-07T05:31:56Z"
      },
      "ticket": {
        "createDate": "2023-11-07T05:31:56Z",
        "event": {
          "endDate": "2023-11-07T05:31:56Z",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "startDate": "2023-11-07T05:31:56Z",
          "title": "<string>"
        },
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "userCreator": {
        "about": "<string>",
        "email": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "phoneNumber": "<string>",
        "photoUrl": "<string>",
        "surname": "<string>"
      },
      "userOwner": {
        "about": "<string>",
        "email": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "phoneNumber": "<string>",
        "photoUrl": "<string>",
        "surname": "<string>"
      },
      "userRefCreator": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userRefOwner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

limit
integer<int64>
default:25

The number of items to return

Required range: 1 <= x <= 100
nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

createDate
object

The date filter of items.

locationRef
string<uuid>

The id of the location to get transactions for

membershipRef
string<uuid>

The id of the membership to get transactions for

companyRef
string<uuid>

The id of the company to get transactions for

Response

OK

transactions
object[]
nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.